curl --request GET \
--url https://api-pacb-uat.eximpe.com/pg/chargebacks/ \
--header 'X-API-Version: <api-key>' \
--header 'X-Client-ID: <api-key>' \
--header 'X-Client-Secret: <api-key>'import requests
url = "https://api-pacb-uat.eximpe.com/pg/chargebacks/"
headers = {
"X-Client-ID": "<api-key>",
"X-Client-Secret": "<api-key>",
"X-API-Version": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Client-ID': '<api-key>',
'X-Client-Secret': '<api-key>',
'X-API-Version': '<api-key>'
}
};
fetch('https://api-pacb-uat.eximpe.com/pg/chargebacks/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-pacb-uat.eximpe.com/pg/chargebacks/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Version: <api-key>",
"X-Client-ID: <api-key>",
"X-Client-Secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-pacb-uat.eximpe.com/pg/chargebacks/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Client-ID", "<api-key>")
req.Header.Add("X-Client-Secret", "<api-key>")
req.Header.Add("X-API-Version", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-pacb-uat.eximpe.com/pg/chargebacks/")
.header("X-Client-ID", "<api-key>")
.header("X-Client-Secret", "<api-key>")
.header("X-API-Version", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-pacb-uat.eximpe.com/pg/chargebacks/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Client-ID"] = '<api-key>'
request["X-Client-Secret"] = '<api-key>'
request["X-API-Version"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Chargebacks retrieved successfully",
"data": {
"count": 2,
"page": 1,
"page_size": 250,
"next": null,
"previous": null,
"results": [
{
"chargeback_id": "CB6358819770",
"payment_id": "PR1400935863",
"order_id": "OD8950153797",
"order_reference_id": "ORDER-10422",
"amount": "2500.00",
"status": "PENDING_DOC_REVIEW",
"action": "contest",
"chargeback_type": "Chargeback",
"reason_description": "Goods or Services Not Provided / Not Received",
"raised_on": "2026-10-26T03:47:59Z",
"respond_by": "2026-11-02T03:47:59Z",
"can_respond": false,
"created_at": "2026-10-26T03:47:59Z"
},
{
"chargeback_id": "CB4073011797",
"payment_id": "PR5447061737",
"order_id": "OD8949028750",
"order_reference_id": "ORDER-10419",
"amount": "999.00",
"status": "NEW",
"action": null,
"chargeback_type": "Chargeback",
"reason_description": "Goods or Services Not Provided / Not Received",
"raised_on": "2026-10-26T03:47:59Z",
"respond_by": "2026-11-02T03:47:59Z",
"can_respond": true,
"created_at": "2026-10-26T03:47:59Z"
}
]
}
}List Chargebacks
List chargebacks raised on your payments, filtered by status, payment, order or date.
curl --request GET \
--url https://api-pacb-uat.eximpe.com/pg/chargebacks/ \
--header 'X-API-Version: <api-key>' \
--header 'X-Client-ID: <api-key>' \
--header 'X-Client-Secret: <api-key>'import requests
url = "https://api-pacb-uat.eximpe.com/pg/chargebacks/"
headers = {
"X-Client-ID": "<api-key>",
"X-Client-Secret": "<api-key>",
"X-API-Version": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Client-ID': '<api-key>',
'X-Client-Secret': '<api-key>',
'X-API-Version': '<api-key>'
}
};
fetch('https://api-pacb-uat.eximpe.com/pg/chargebacks/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-pacb-uat.eximpe.com/pg/chargebacks/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Version: <api-key>",
"X-Client-ID: <api-key>",
"X-Client-Secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-pacb-uat.eximpe.com/pg/chargebacks/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Client-ID", "<api-key>")
req.Header.Add("X-Client-Secret", "<api-key>")
req.Header.Add("X-API-Version", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-pacb-uat.eximpe.com/pg/chargebacks/")
.header("X-Client-ID", "<api-key>")
.header("X-Client-Secret", "<api-key>")
.header("X-API-Version", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-pacb-uat.eximpe.com/pg/chargebacks/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Client-ID"] = '<api-key>'
request["X-Client-Secret"] = '<api-key>'
request["X-API-Version"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Chargebacks retrieved successfully",
"data": {
"count": 2,
"page": 1,
"page_size": 250,
"next": null,
"previous": null,
"results": [
{
"chargeback_id": "CB6358819770",
"payment_id": "PR1400935863",
"order_id": "OD8950153797",
"order_reference_id": "ORDER-10422",
"amount": "2500.00",
"status": "PENDING_DOC_REVIEW",
"action": "contest",
"chargeback_type": "Chargeback",
"reason_description": "Goods or Services Not Provided / Not Received",
"raised_on": "2026-10-26T03:47:59Z",
"respond_by": "2026-11-02T03:47:59Z",
"can_respond": false,
"created_at": "2026-10-26T03:47:59Z"
},
{
"chargeback_id": "CB4073011797",
"payment_id": "PR5447061737",
"order_id": "OD8949028750",
"order_reference_id": "ORDER-10419",
"amount": "999.00",
"status": "NEW",
"action": null,
"chargeback_type": "Chargeback",
"reason_description": "Goods or Services Not Provided / Not Received",
"raised_on": "2026-10-26T03:47:59Z",
"respond_by": "2026-11-02T03:47:59Z",
"can_respond": true,
"created_at": "2026-10-26T03:47:59Z"
}
]
}
}status=NEW (and PENDING_RESPONSE, INSUFFICIENT_DOCUMENT) to find chargebacks still waiting on you, or rely on the DISPUTE_UPDATED webhook to hear about each one as it is raised.Authorizations
Client Application ID - Your unique application identifier used to authenticate API requests. You can find your Client ID in the Developer Settings section of the merchant dashboard.
Client Secret Key - Your secret key used alongside the Client ID for secure authentication. Keep this confidential and never expose it in client-side code. Available in the Developer Settings section of the merchant dashboard.
API Version - Specifies which version of the API to use (e.g., '1.X.X', '2.X.X', or '3.X.X'). This header allows you to control which API version your integration uses. Default version information is available in the Developer Settings.
Headers
PSPs only: list just this sub-merchant's chargebacks. Without it, a PSP sees its own and all its sub-merchants' chargebacks.
Query Parameters
Only chargebacks in this status, e.g. NEW or PENDING_DOC_REVIEW.
Only chargebacks on this payment.
Only chargebacks on this EximPe order.
Only chargebacks on the order with this reference of yours.
Created on or after this date. Format: YYYY-MM-DD.
Created up to and including this date. Format: YYYY-MM-DD.
Page number, from 1.
Results per page.